/**
 * Created on April 18, 2005 Project: UI
 * 
 * @author DNS   RAMACP
 */
package gov.va.med.esr.ui.ee.action;


import gov.va.med.esr.ui.util.AbstractUITestCase;

public class EligibilityEditReviewActionTest extends AbstractUITestCase {

    public EligibilityEditReviewActionTest(String testName) {
        super(testName);
    }
       
    public void testEditReviewSubmit() {
    	setConfigFile("ee", "/WEB-INF/ee/struts-config.xml"); 
    	addRequestParameter("methodName", "Accept Changes");
        setRequestPathInfo("/ee", "/eligibilityEditReview");
        //loads the applicatin data from the prevoius test case result
        loadAppData();
        actionPerform();
        verifyForward("edit");
        verifyTilesForward("edit",".edit.eligibility");
        verifyNoActionErrors();
        saveAppData ();
   }
 
    public void testEditReviewCancel() {
    	setConfigFile("ee", "/WEB-INF/ee/struts-config.xml"); 
    	addRequestParameter("methodName", "Discard Changes");
        setRequestPathInfo("/ee", "/eligibilityEditReview");
        //loads the applicatin data from the prevoius test case result
        loadAppData();
        actionPerform();
        verifyForward("view");
	    verifyForwardPath("/ee/eligibilityView.display.do");
        verifyNoActionErrors();
        saveAppData();
   }
}

